GNU bug report logs - #30886
"LibreOffice digital signature support?"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>; Keywords: moreinfo; dated Tue, 20 Mar 2018 17:31:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '"LibreOffice digital signature support?"' from 'Libreoffice' Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30886 <at> debbugs.gnu.org:


Received: (at 30886) by debbugs.gnu.org; 12 Feb 2019 22:56:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 17:56:17 2019
Received: from localhost ([127.0.0.1]:45364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtgyP-00079D-BM
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 17:56:17 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:33823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gtgyO-000790-Dq
 for 30886 <at> debbugs.gnu.org; Tue, 12 Feb 2019 17:56:16 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 3328022068;
 Tue, 12 Feb 2019 17:56:11 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 12 Feb 2019 17:56:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=MIEFBdiY65ywQBa7nnuYvHts
 ZY0oiGJkufq8BZs5Wlw=; b=UThbHJby9Fa6eJFQ0T2jgo5Y2kluBVuBGCjzKHB5
 Eb4vAgi/ceFGjkSRCa2uQYbKcQmD+fevFhPWMq9ZA3tW0E/ixnU3wyeJ25i60ymx
 KkHILmASdyVIJs3enzeldBSxm30Jd689nlrflp3OSToD8yZm/W+TjtxGBFwEC8fj
 rlw=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=MIEFBd
 iY65ywQBa7nnuYvHtsZY0oiGJkufq8BZs5Wlw=; b=nInqdVkRb4VbKb9SbIhR7N
 iLYmt60700YB+sjuVBa9skBumNUPmSSoEiWDmQ1JMGtT+TDttB46dBD5S/+6ywaD
 zCvUVNR6FbGy4xrjn6T5PMkmbMR/P2866jAbI0H6RCbl202RCtoBITl2ybMV7laB
 QatTDX0It3oa2n3SFCl6NXxBjbcS0kbcFUN8VrtN4av1F2dv9UYcwTcoCB852YVg
 DiUFV3bQatusfFfT7swuO3A63DC0wAS2NGjUhAVuxABqjwwGvJu8dG+asSkym9cG
 aG8QFsnBIf1H5VNgPy70B9FtRoKchivfWIU9gnKTAISB3CKfmjoN/aX3eFUlWJKQ
 ==
X-ME-Sender: <xms:C09jXMEyueWok8IiB1x0uub-UN4qYKoRKSrvG4MJ5iFvDA5qRVVH9w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledruddtvddgtdegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffhffvuffkfh
 ggtggujggfsehgtderredtredvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehl
 vghosehfrghmuhhlrghrihdrnhgrmhgvqeenucfkphepjeeirdduvdegrddvtddvrddufe
 ejnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
 necuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:C09jXCcY1WXehDGVqciy8745NgtydIfS8QexyURU7sgG36oPttUijQ>
 <xmx:C09jXGk604PrSrMJEFHZne3_hs4gWSV8FK49s55zgeBSg9jzYVwiCQ>
 <xmx:C09jXPG1D2rT_Q7f7VESKPUeladI-l_NpxhHeFhhajdskApbSnezhA>
 <xmx:C09jXH8pYD56PIi6YPvy9GNr6L665yI-WEC7etunSUpBP19He8tNTw>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id C1501E462B;
 Tue, 12 Feb 2019 17:56:10 -0500 (EST)
Date: Tue, 12 Feb 2019 17:56:10 -0500
From: Leo Famulari <leo@HIDDEN>
To: Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>
Subject: Re: [bug#30886] Libreoffice
Message-ID: <20190212225610.GA30699@HIDDEN>
References: <20180320182829.2b5abb89@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="C7zPtVaVf+AK4Oqc"
Content-Disposition: inline
In-Reply-To: <20180320182829.2b5abb89@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30886
Cc: 30886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--C7zPtVaVf+AK4Oqc
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Tue, Mar 20, 2018 at 06:28:29PM +0100, Thomas Sigurdsen wrote:
> First is a change according to a comment. I started looking at these because
> I wanted to check digital signatures and NSS was needed. Not sure NPAPI is
> needed for NSS, but it is now enabled as per the old comment.

What is the status of this patch? Do you still want it to be applied? It
seems the conversation just fizzled out.

> Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
> because I'm not using gnome and therefore libreoffice can't find what it
> needs. But Idk.

The file chooser dialog issue is fixed since commit
994bccd9443032141accede0e403cbfb62f6c63e.

--C7zPtVaVf+AK4Oqc
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlxjTwoACgkQJkb6MLrK
fwg4fw//UcJ3SalugOEN7ulxYZyHb+mSsHkDSO18f6uBjcwVYHuMDzD3//3uJooh
yv6fZhKJge0sDo5YM38pOfyOItDyhUXEACqzLxEYi13lBtSD3ZAYpapxt6QJIino
r0TVbGUga2sOZSHq7nrF1CeBrO+F/g1+EUx6MNYytsac/Zpizg78lqw8DdoyUS4x
DEqEtFDzhXDx+aWVHP0/6L/mxGco0da5/zwGW9HC522aFvtFdmhlvQgjj3yGkXmX
vnNwlNh6K/L5cgVlXWLRTwHSiCZJIjtwAXX7MhQozfl7DkFf9hq6oFiKag9vDGqa
T3iH0vLE3SW+8ZRL+JIIwqa9z259vJVvSKLOscvKJ/izzoSLKWfCvK0NmNYMmImI
vIMcAUCbgkFW7sBT4vHVejNEj1OVwatrbb8Ljy2xpwHWCugq+FvY4PR6frcdvSrG
g2vcnuR+xJnE61aZd7fzS9pp2dSXAVdq25dBzFxTq/3LOfXjAE861R7kZc+lNNP9
xFghn31IwOrme24olAkeGESlqJXZO3cuhYOV4nNRYGhAfR0Q43dJxOpprzTwqm8X
nrqjDJDGdIjw32kfRgsPpvBuwGm3PjBoZ+xypOmXhy3OEp/TgPjedoyHiSp1EnnH
vZdRBp2zPwPF5Hqsfi2JIqE2krQQHsFn9SnJtHDorAPGL7fwaDI=
=E66e
-----END PGP SIGNATURE-----

--C7zPtVaVf+AK4Oqc--




Information forwarded to guix-patches@HIDDEN:
bug#30886; Package guix-patches. Full text available.

Message received at 30886 <at> debbugs.gnu.org:


Received: (at 30886) by debbugs.gnu.org; 14 Apr 2018 11:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 07:05:36 2018
Received: from localhost ([127.0.0.1]:51356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7Izw-000481-JZ
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 07:05:36 -0400
Received: from mail.lassieur.org ([83.152.10.219]:53974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1f7Izu-00047s-QG
 for 30886 <at> debbugs.gnu.org; Sat, 14 Apr 2018 07:05:35 -0400
Received: from rodion (88.191.118.83 [88.191.118.83])
 by mail.lassieur.org (OpenSMTPD) with ESMTPSA id 5b33eb96
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO); 
 Sat, 14 Apr 2018 11:05:30 +0000 (UTC)
References: <20180320182829.2b5abb89@HIDDEN>
 <87efjvcfwg.fsf@HIDDEN> <20180414100437.yarnkprfp4b5gxs4@abyayala>
User-agent: mu4e 1.0; emacs 25.3.1
From: =?utf-8?Q?Cl=C3=A9ment?= Lassieur <clement@HIDDEN>
To: Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>
Subject: Re: [bug#30886] Libreoffice
In-reply-to: <20180414100437.yarnkprfp4b5gxs4@abyayala>
Date: Sat, 14 Apr 2018 13:05:29 +0200
Message-ID: <87604ucakm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30886
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 30886 <at> debbugs.gnu.org,
 Nils Gillmann <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

There was a similar issue some time ago on Icecat, see
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26593

Hope this helps.
Clément




Information forwarded to guix-patches@HIDDEN:
bug#30886; Package guix-patches. Full text available.

Message received at 30886 <at> debbugs.gnu.org:


Received: (at 30886) by debbugs.gnu.org; 14 Apr 2018 10:04:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 14 06:04:26 2018
Received: from localhost ([127.0.0.1]:51332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f7I2i-0000dH-1l
	for submit <at> debbugs.gnu.org; Sat, 14 Apr 2018 06:04:25 -0400
Received: from static.195.114.201.195.clients.your-server.de
 ([195.201.114.195]:55680 helo=conspiracy.of.n0.is)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1f7I2f-0000d6-RF
 for 30886 <at> debbugs.gnu.org; Sat, 14 Apr 2018 06:04:22 -0400
Received: by conspiracy.of.n0.is (OpenSMTPD) with ESMTPSA id 644b7900
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 14 Apr 2018 10:04:18 +0000 (UTC)
Date: Sat, 14 Apr 2018 10:04:37 +0000
From: Nils Gillmann <ng0@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#30886] Libreoffice
Message-ID: <20180414100437.yarnkprfp4b5gxs4@abyayala>
References: <20180320182829.2b5abb89@HIDDEN>
 <87efjvcfwg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87efjvcfwg.fsf@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30886
Cc: 30886 <at> debbugs.gnu.org, Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Courtès transcribed 3.3K bytes:
> Hello Thomas,
> 
> Sorry for the late reply.
> 
> Thomas Sigurdsen <thomas.sigurdsen@HIDDEN> skribis:
> 
> > First is a change according to a comment. I started looking at these because
> > I wanted to check digital signatures and NSS was needed. Not sure NPAPI is
> > needed for NSS, but it is now enabled as per the old comment.
> 
> OK.
> 
> > Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
> > because I'm not using gnome and therefore libreoffice can't find what it
> > needs. But Idk.
> >
> > Filechooser dialog and digital signatures work with these 2 changes here.
> >
> >>From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001
> > From: Tonton <tonton@HIDDEN>
> > Date: Tue, 20 Mar 2018 17:23:52 +0100
> > Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (builds
> >  succesfully)
> >
> > Signed-off-by: Tonton <tonton@HIDDEN>
> > ---
> >  gnu/packages/libreoffice.scm | 3 +--
> >  1 file changed, 1 insertion(+), 2 deletions(-)
> >
> > diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> > index 316602adb..77c83b014 100644
> > --- a/gnu/packages/libreoffice.scm
> > +++ b/gnu/packages/libreoffice.scm
> > @@ -1027,8 +1027,7 @@ and to return information on pronunciations, meanings and synonyms.")
> >            "--without-fonts"
> >            ;; With java, the build fails since sac.jar is missing.
> >            "--without-java"
> > -          ;; FIXME: Enable once the corresponding inputs are packaged.
> > -          "--without-system-npapi-headers"
> > +          "--with-system-npapi-headers"
> 
> I suspect this doesn’t have any effect because ‘configure’ complains:
> 
> --8<---------------cut here---------------start------------->8---
> configure: WARNING: unrecognized options: --enable-fast-install, --enable-verbose, --with-system-npapi-headers
> --8<---------------cut here---------------end--------------->8---
> 
> Are you sure digital signatures don’t work without this patch?
> 
> >>From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001
> > From: Tonton <tonton@HIDDEN>
> > Date: Tue, 20 Mar 2018 17:24:49 +0100
> > Subject: [PATCH 2/2] Enable gtk2
> >
> > Racionale: on systems without gtk2 the openfile dialog makes openoffice
> > crash. This (enabling gtk2) fixes this.

A quick workaround which I found some time ago:

Workaround: Libreoffice options > "Libreoffice" > "general" > "Use Libreoffice dialogs".

> > Signed-off-by: Tonton <tonton@HIDDEN>
> 
> This is not OK because we’d rather keep using GTK+3.
> 
> Could you try the patch below and see if it fixes the FileChooser issue?
> 
> Thanks,
> Ludo’.
> 

> diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> index ef40e018b..5b8991299 100644
> --- a/gnu/packages/libreoffice.scm
> +++ b/gnu/packages/libreoffice.scm
> @@ -27,6 +27,7 @@
>  
>  (define-module (gnu packages libreoffice)
>    #:use-module (guix build-system gnu)
> +  #:use-module (guix build-system glib-or-gtk)
>    #:use-module (guix build-system trivial)
>    #:use-module (guix download)
>    #:use-module ((guix licenses)
> @@ -855,7 +856,7 @@ and to return information on pronunciations, meanings and synonyms.")
>        (sha256
>         (base32
>          "0icd8h221gp2dsbn6d35flwhqhcfpx66cjc5dg8yifhhvrfam74i"))))
> -    (build-system gnu-build-system)
> +    (build-system glib-or-gtk-build-system)
>      (native-inputs
>       `(("bison" ,bison)
>         ("cppunit" ,cppunit-1.14)





Information forwarded to guix-patches@HIDDEN:
bug#30886; Package guix-patches. Full text available.

Message received at 30886 <at> debbugs.gnu.org:


Received: (at 30886) by debbugs.gnu.org; 13 Apr 2018 21:41:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 13 17:41:04 2018
Received: from localhost ([127.0.0.1]:51023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f76RL-00031n-UH
	for submit <at> debbugs.gnu.org; Fri, 13 Apr 2018 17:41:04 -0400
Received: from mail-wr0-f182.google.com ([209.85.128.182]:35088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thomas.sigurdsen@HIDDEN>) id 1f75m2-00022D-HN
 for 30886 <at> debbugs.gnu.org; Fri, 13 Apr 2018 16:58:22 -0400
Received: by mail-wr0-f182.google.com with SMTP id o3so11251005wri.2
 for <30886 <at> debbugs.gnu.org>; Fri, 13 Apr 2018 13:58:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=S/ovlW+zYeQhpK7GUhhYW+ly1PVauHVta/AS2QOEF+0=;
 b=Gh1O0oBBlJPSjR+WUL9PUHYPvU9d2fU9JVBgI0vN16WR8wV6kdjzgB3/Rvjkj5x+Vg
 bp2po5MYDgDuP7fL/FAxjGCq6EXkIVmarROU8lEBI8AGG3PazOgaHTQiCzstD3xLkMk8
 gQh1nWxP2TOB27xGFNga8sqJXp91qbZIHroaT/EMM4iz8qYW/LaUBmzD9msaT6uM39jx
 GYz0j2WG8mlkHW3ZHCI6xKc9asqLx9M0S84wCcyHZVI7r/A9aQr2hlrmd7LLs6DZo/V/
 PozbrnWD7dAZukL1pY/MCIpFyhJH5UtW0lohT5ehtxxRRP81kC2RMXh/TcHptU0Cxd3H
 f78g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=S/ovlW+zYeQhpK7GUhhYW+ly1PVauHVta/AS2QOEF+0=;
 b=mTYbDN672G/IIzZdq+KyxyGmmxcvN3Yqsrj1zzng7GetaDVaQgOPKW76cQwarVTVCT
 LlAkUUsc6DOyALaNSXnVsHreRPIcX5RuJ2hwsMpYUxLB3fAJKInZZ1s3amfu7B48yWdX
 ageHIrcWaPUKCcczU70LT4hIyhD4QxBt9lWBbWkl4t16FY+YAKMaJBb5IkcLsqVSonFR
 c7McLV4fbQAfgTwHnbJ7d51MAZTN0aHTvUNgqEHyY53kUZ0zUzQX+zVF1StVrfl6XUDx
 MUvYLL9B5QMoRYa7v2/faj3SlCJQI8MW+yH/qnYV2H5PzzlJ9ktOwSsOhT0C7ip7IspF
 z5pg==
X-Gm-Message-State: ALQs6tA6tE0NwTIO+tJwxpFdjJIUFNt2Js2cWZAhKN1Quzt8r+wiwPvt
 xaIc/9yiZmPbhN6Fa01NNf3HXO8E
X-Google-Smtp-Source: AIpwx49iAOkpStRqkHpyfcdHDImV01+qwQF1Fcx1eRY3UM3F/FW8WqeiSw3oRa3AFrAFqBcvU8MF9Q==
X-Received: by 10.28.105.19 with SMTP id e19mr4894428wmc.3.1523653096566;
 Fri, 13 Apr 2018 13:58:16 -0700 (PDT)
Received: from merlin.browniehive.net
 (165.red-83-60-175.dynamicip.rima-tde.net. [83.60.175.165])
 by smtp.gmail.com with ESMTPSA id l41sm12081586wrl.2.2018.04.13.13.58.15
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 13 Apr 2018 13:58:16 -0700 (PDT)
Date: Fri, 13 Apr 2018 22:58:12 +0200
From: Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=)
Subject: Re: [bug#30886] Libreoffice
Message-ID: <20180413225812.303a39d3@HIDDEN>
In-Reply-To: <87efjvcfwg.fsf@HIDDEN>
References: <20180320182829.2b5abb89@HIDDEN>
 <87efjvcfwg.fsf@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30886
X-Mailman-Approved-At: Fri, 13 Apr 2018 17:41:02 -0400
Cc: 30886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Seems this issue is a slow back and forth thing :)

I applied the patch and built it. The build fails before finishing with a
scheme backtrace. At first I thought it didn't finish anything, but it seems
to have finished building libreoffice because I get:

-------
Installation finished, you can now execute:
/gnu/store/hf2a8f4rca9dvw1s6ffcsrbcsp39aj83-libreoffice-5.4.6.2/lib/libreof=
fice/program/soffice
------

And then the most important part of the error after (I think):

------
phase `install' succeeded after 27.2 seconds
starting phase `bin-and-desktop-install'
Backtrace:
------

The backtrace points to trying to copy a file that might exist... the
following path exists in /tmp/guix-build-...libreoffice..../ - but ofcourse,
the whole path is not in the backtrace:
	0 (copy-file "sysui/desktop/appstream-appdata/libreoffic=E2=80=A6" =E2=80=
=A6)


But, I can run the generated binary from the store. And the filechooser
dialog still causes libreoffice to crash:
"(soffice:9332): GLib-GIO-ERROR **: Settings schema
'org.gtk.Settings.FileChooser' is not installed "

On Wed, 04 Apr 2018 14:30:55 +0200
ludo@HIDDEN (Ludovic Court=C3=A8s) wrote:

> Hello Thomas,
>=20
> Sorry for the late reply.
>=20
> Thomas Sigurdsen <thomas.sigurdsen@HIDDEN> skribis:
>=20
> > First is a change according to a comment. I started looking at these
> > because I wanted to check digital signatures and NSS was needed. Not su=
re
> > NPAPI is needed for NSS, but it is now enabled as per the old comment. =
=20
>=20
> OK.
>=20
> > Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
> > because I'm not using gnome and therefore libreoffice can't find what it
> > needs. But Idk.
> >
> > Filechooser dialog and digital signatures work with these 2 changes her=
e.
> > =20
> >>From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001 =
=20
> > From: Tonton <tonton@HIDDEN>
> > Date: Tue, 20 Mar 2018 17:23:52 +0100
> > Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (bui=
lds
> >  succesfully)
> >
> > Signed-off-by: Tonton <tonton@HIDDEN>
> > ---
> >  gnu/packages/libreoffice.scm | 3 +--
> >  1 file changed, 1 insertion(+), 2 deletions(-)
> >
> > diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> > index 316602adb..77c83b014 100644
> > --- a/gnu/packages/libreoffice.scm
> > +++ b/gnu/packages/libreoffice.scm
> > @@ -1027,8 +1027,7 @@ and to return information on pronunciations,
> > meanings and synonyms.") "--without-fonts"
> >            ;; With java, the build fails since sac.jar is missing.
> >            "--without-java"
> > -          ;; FIXME: Enable once the corresponding inputs are packaged.
> > -          "--without-system-npapi-headers"
> > +          "--with-system-npapi-headers" =20
>=20
> I suspect this doesn=E2=80=99t have any effect because =E2=80=98configure=
=E2=80=99 complains:
>=20
> --8<---------------cut here---------------start------------->8---
> configure: WARNING: unrecognized options: --enable-fast-install,
> --enable-verbose, --with-system-npapi-headers --8<---------------cut
> here---------------end--------------->8---
>=20
> Are you sure digital signatures don=E2=80=99t work without this patch?
>=20
> >>From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001 =
=20
> > From: Tonton <tonton@HIDDEN>
> > Date: Tue, 20 Mar 2018 17:24:49 +0100
> > Subject: [PATCH 2/2] Enable gtk2
> >
> > Racionale: on systems without gtk2 the openfile dialog makes openoffice
> > crash. This (enabling gtk2) fixes this.
> >
> > Signed-off-by: Tonton <tonton@HIDDEN> =20
>=20
> This is not OK because we=E2=80=99d rather keep using GTK+3.
>=20
> Could you try the patch below and see if it fixes the FileChooser issue?
>=20
> Thanks,
> Ludo=E2=80=99.
>=20





Information forwarded to guix-patches@HIDDEN:
bug#30886; Package guix-patches. Full text available.

Message received at 30886 <at> debbugs.gnu.org:


Received: (at 30886) by debbugs.gnu.org; 4 Apr 2018 12:31:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 04 08:31:00 2018
Received: from localhost ([127.0.0.1]:37791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f3hZ6-00087M-DT
	for submit <at> debbugs.gnu.org; Wed, 04 Apr 2018 08:31:00 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:43186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1f3hZ4-00087E-DI
 for 30886 <at> debbugs.gnu.org; Wed, 04 Apr 2018 08:30:59 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CB85B127F0;
 Wed,  4 Apr 2018 14:30:57 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id bdv8ezsEFeuR; Wed,  4 Apr 2018 14:30:56 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 4F3761081A;
 Wed,  4 Apr 2018 14:30:56 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>
Subject: Re: [bug#30886] Libreoffice
References: <20180320182829.2b5abb89@HIDDEN>
Date: Wed, 04 Apr 2018 14:30:55 +0200
In-Reply-To: <20180320182829.2b5abb89@HIDDEN> (Thomas
 Sigurdsen's message of "Tue, 20 Mar 2018 18:28:29 +0100")
Message-ID: <87efjvcfwg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30886
Cc: 30886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello Thomas,

Sorry for the late reply.

Thomas Sigurdsen <thomas.sigurdsen@HIDDEN> skribis:

> First is a change according to a comment. I started looking at these beca=
use
> I wanted to check digital signatures and NSS was needed. Not sure NPAPI is
> needed for NSS, but it is now enabled as per the old comment.

OK.

> Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
> because I'm not using gnome and therefore libreoffice can't find what it
> needs. But Idk.
>
> Filechooser dialog and digital signatures work with these 2 changes here.
>
>>From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001
> From: Tonton <tonton@HIDDEN>
> Date: Tue, 20 Mar 2018 17:23:52 +0100
> Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (builds
>  succesfully)
>
> Signed-off-by: Tonton <tonton@HIDDEN>
> ---
>  gnu/packages/libreoffice.scm | 3 +--
>  1 file changed, 1 insertion(+), 2 deletions(-)
>
> diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> index 316602adb..77c83b014 100644
> --- a/gnu/packages/libreoffice.scm
> +++ b/gnu/packages/libreoffice.scm
> @@ -1027,8 +1027,7 @@ and to return information on pronunciations, meanin=
gs and synonyms.")
>            "--without-fonts"
>            ;; With java, the build fails since sac.jar is missing.
>            "--without-java"
> -          ;; FIXME: Enable once the corresponding inputs are packaged.
> -          "--without-system-npapi-headers"
> +          "--with-system-npapi-headers"

I suspect this doesn=E2=80=99t have any effect because =E2=80=98configure=
=E2=80=99 complains:

--8<---------------cut here---------------start------------->8---
configure: WARNING: unrecognized options: --enable-fast-install, --enable-v=
erbose, --with-system-npapi-headers
--8<---------------cut here---------------end--------------->8---

Are you sure digital signatures don=E2=80=99t work without this patch?

>>From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001
> From: Tonton <tonton@HIDDEN>
> Date: Tue, 20 Mar 2018 17:24:49 +0100
> Subject: [PATCH 2/2] Enable gtk2
>
> Racionale: on systems without gtk2 the openfile dialog makes openoffice
> crash. This (enabling gtk2) fixes this.
>
> Signed-off-by: Tonton <tonton@HIDDEN>

This is not OK because we=E2=80=99d rather keep using GTK+3.

Could you try the patch below and see if it fixes the FileChooser issue?

Thanks,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index ef40e018b..5b8991299 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -27,6 +27,7 @@
 
 (define-module (gnu packages libreoffice)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system trivial)
   #:use-module (guix download)
   #:use-module ((guix licenses)
@@ -855,7 +856,7 @@ and to return information on pronunciations, meanings and synonyms.")
       (sha256
        (base32
         "0icd8h221gp2dsbn6d35flwhqhcfpx66cjc5dg8yifhhvrfam74i"))))
-    (build-system gnu-build-system)
+    (build-system glib-or-gtk-build-system)
     (native-inputs
      `(("bison" ,bison)
        ("cppunit" ,cppunit-1.14)

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30886; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Mar 2018 17:30:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 20 13:30:57 2018
Received: from localhost ([127.0.0.1]:44171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eyL68-0001DJ-V2
	for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 13:30:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thomas.sigurdsen@HIDDEN>) id 1eyL42-00018Y-OD
 for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 13:28:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomas.sigurdsen@HIDDEN>) id 1eyL3w-0001ub-9i
 for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 13:28:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53039)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <thomas.sigurdsen@HIDDEN>)
 id 1eyL3w-0001uW-5K
 for submit <at> debbugs.gnu.org; Tue, 20 Mar 2018 13:28:40 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49364)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomas.sigurdsen@HIDDEN>) id 1eyL3u-0003XP-Nq
 for guix-patches@HIDDEN; Tue, 20 Mar 2018 13:28:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomas.sigurdsen@HIDDEN>) id 1eyL3r-0001oX-K7
 for guix-patches@HIDDEN; Tue, 20 Mar 2018 13:28:38 -0400
Received: from mail-wm0-x231.google.com ([2a00:1450:400c:c09::231]:54860)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <thomas.sigurdsen@HIDDEN>)
 id 1eyL3r-0001lc-B4
 for guix-patches@HIDDEN; Tue, 20 Mar 2018 13:28:35 -0400
Received: by mail-wm0-x231.google.com with SMTP id h76so5010942wme.4
 for <guix-patches@HIDDEN>; Tue, 20 Mar 2018 10:28:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:mime-version;
 bh=OYPU/aYMF1/nSCMPqzBg58qI0i1tkhEG1YBZDc8DmRc=;
 b=LqMSZrnWnypIVzA9Cmmb2KUF3pxJXnF5IQ22L1/OjrnDh4bTgvCUq+zhKLYqbp2OIf
 hmSGqk8dEjhuipahxBYCZTli2aAT+/jKh4v9dIIyt/+2JybK9qCX+2FYaORDSuirLfQU
 IkCDCAPvSe6OQN27Rp5ilBaSp1ruskzriJ4AAWZwNtPOZEW7ooDoMiANGaIoMTSyE1Es
 fqsp5TzdyRCWhCmSKJ1YPwCuyx6aVWiD8EPPko4aBWog90xSlrOFKD4MtxOShZe88cor
 jBNxfSesCDW7fZdB/RKN6D29tcZkXVt7eBt9RZccZ/m4D4Gi0gBrrBT0uwPbvhzSEgfj
 CjvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version;
 bh=OYPU/aYMF1/nSCMPqzBg58qI0i1tkhEG1YBZDc8DmRc=;
 b=Kh+rBUUSKigXyQvubZnrtMnYP+Lg34gPFHjU4XAoVnXhV7zV2CE9xUePQleLlNXPYT
 tWqia8V6Dt+EuxPmQa1mS4wcimC4L0NAi7ZFDY5WTviNU94nrRBQHCP9D7yEdnX2qTs8
 TPVKV8tMHJal9sxMUecMzVw69TELrSOqQrUeYTEvKt9Ke3cani+LsXvYB4UtkZNJyW4e
 lijVAANvmE5zh3MI+8SM76wezPVatemuD3Cd3fOJJ5LlVySexejN8IP64tw2hT078aDs
 2qUtZL5cZSqHixk1guCbG9JRN2RIiG+gGgLBgqsbSRR/NE+mYyDfSgBAF5libBm+IOwv
 ccWA==
X-Gm-Message-State: AElRT7EqP6pF6Q2eyATUrJmfmpbs6ToD/XLqDJ1Od06+qRzPL4qxo7Bf
 sWtyIxbdLPMDgiadR4WTd28SUNpE
X-Google-Smtp-Source: AG47ELs4yuks7JoLB7Zs9dQH2tZdGgMwttXK6SYrMwSAtOwu8ZHcNEh5mgn7onAvEXRYWH5ruICt2A==
X-Received: by 10.28.171.131 with SMTP id u125mr346785wme.19.1521566912764;
 Tue, 20 Mar 2018 10:28:32 -0700 (PDT)
Received: from merlin.browniehive.net
 (93.red-83-45-239.dynamicip.rima-tde.net. [83.45.239.93])
 by smtp.gmail.com with ESMTPSA id 140sm2242841wmy.38.2018.03.20.10.28.32
 for <guix-patches@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 20 Mar 2018 10:28:32 -0700 (PDT)
Date: Tue, 20 Mar 2018 18:28:29 +0100
From: Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>
To: guix-patches@HIDDEN
Subject: Libreoffice
Message-ID: <20180320182829.2b5abb89@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/k7a+=WrCu0OjgF+5ht/4dyJ"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 20 Mar 2018 13:30:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--MP_/k7a+=WrCu0OjgF+5ht/4dyJ
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Here is two patches for libreoffice, both are changes of the configure flags
in the definition.

First is a change according to a comment. I started looking at these because
I wanted to check digital signatures and NSS was needed. Not sure NPAPI is
needed for NSS, but it is now enabled as per the old comment.

Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
because I'm not using gnome and therefore libreoffice can't find what it
needs. But Idk.

Filechooser dialog and digital signatures work with these 2 changes here.

--MP_/k7a+=WrCu0OjgF+5ht/4dyJ
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0001-The-corresponding-inputs-looks-to-be-packaged-builds.patch

From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001
From: Tonton <tonton@HIDDEN>
Date: Tue, 20 Mar 2018 17:23:52 +0100
Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (builds
 succesfully)

Signed-off-by: Tonton <tonton@HIDDEN>
---
 gnu/packages/libreoffice.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index 316602adb..77c83b014 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -1027,8 +1027,7 @@ and to return information on pronunciations, meanings and synonyms.")
           "--without-fonts"
           ;; With java, the build fails since sac.jar is missing.
           "--without-java"
-          ;; FIXME: Enable once the corresponding inputs are packaged.
-          "--without-system-npapi-headers"
+          "--with-system-npapi-headers"
           "--disable-coinmp"
           "--disable-firebird-sdbc" ; embedded firebird
           "--disable-gltf"
-- 
2.16.2


--MP_/k7a+=WrCu0OjgF+5ht/4dyJ
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=0002-Enable-gtk2.patch

From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001
From: Tonton <tonton@HIDDEN>
Date: Tue, 20 Mar 2018 17:24:49 +0100
Subject: [PATCH 2/2] Enable gtk2

Racionale: on systems without gtk2 the openfile dialog makes openoffice
crash. This (enabling gtk2) fixes this.

Signed-off-by: Tonton <tonton@HIDDEN>
---
 gnu/packages/libreoffice.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
index 77c83b014..92ff0f3b0 100644
--- a/gnu/packages/libreoffice.scm
+++ b/gnu/packages/libreoffice.scm
@@ -1035,7 +1035,7 @@ and to return information on pronunciations, meanings and synonyms.")
           ;; patching the build scripts to work with GCC5.  Try enabling this
           ;; when our default compiler is >=GCC 6.
           "--disable-pdfium"
-          "--disable-gtk" ; disable use of GTK+ 2
+          "--enable-gtk"
           "--without-doxygen")))
     (home-page "https://www.libreoffice.org/")
     (synopsis "Office suite")
-- 
2.16.2


--MP_/k7a+=WrCu0OjgF+5ht/4dyJ--




Acknowledgement sent to Thomas Sigurdsen <thomas.sigurdsen@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#30886; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Feb 2019 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.